Subject: Re: [PATCH] git-cvsexportcommit: handle file status reported out of order (was Re: [PATCH] Make git-cvsexportcommit "status" each file in turn)

From: Nick Woolley <[email-masked]>
Date: Thu, 02 Oct 2008 16:08:34 +0100

Johannes Schindelin wrote:
> Please research a bit better.  If the basenames are not unique, several 
> cvs status calls are used.  See commit
> fef3a7cc5593d3951a5f95c92986fb9982c2cc86.

Yes, I see. I did spend some time searching for prior art on this issue, 
but I obviously wasn't looking in the right places.

> I can only assume that you have not really hung out on this list for very 
> long; this is no way near the way patches are expected here.

Correct.

> Also, given the fact that you actually verified that it was fixed in 
> 1.6.0, what exactly is your proposed course of action?  Revert the fix in 
> 1.6.0 and apply your patch?  Apply your patch to 1.5.6.5, cracking a 
> release 1.5.6.6 with your patch?

Neither. At the moment, I can only offer what I have: a patch for 
1.5.6.5, representing an idea that may contribute something small to 
1.6.0 (using information from CVS on STDERR). It should be simple to 
adapt if it's useful, if not please ignore it.

By posting, I hoped to learn if it was useful and where to look for the 
information I was missing, which you've been helpful enough to point out.

Thanks,

N